@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300&family=Roboto&display=swap');

* {
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  line-height: 18.75px;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: #f7f7fc;
}
/* color */
.primary {
  background: #5f2eea;
}
.secondary {
  background: #1cc8ee;
}

/* end color */

/* navbar */
.navbar-collapse .d-flex .input-group {
  background-color: #fff;
}

.nav-item .dropdown-item ul a:hover,
.nav-item .dropdown-item ul .active > a,
.nav-item .dropdown-item ul li:hover > a,
.nav-item .dropdown-item a:hover {
  color: #1cc8ee;
}
/* button sign in */
.sign-in {
  background-color: #5f2eea;
  border-radius: 15px;
  color: #fff;
  width: 100% !important;
}
.button-sign {
  width: 150px;
  height: 40px;
  color: #fff;
  font-size: 15px;
  text-align: center;
  background: #5f2eea;
  border: 0cm;
  border-radius: 15px;
}
.button-sign:hover,
.button-signUp:hover,
.sign-in:hover {
  background-color: #1cc8ee;
}
.button-sign ::after {
  background-color: #1cc8ee;
}
/* search */
.bi-search {
  color: #000;
}
.container-1 {
  width: 270px;
  vertical-align: middle;
  white-space: nowrap;
  position: relative;
}
.container-1 input#search {
  width: 270px;
  height: 40px;
  background: #f7f7fc;
  border: 1px solid #acb5bd;
  font-size: 10pt;
  float: left;
  color: #080808;
  padding-left: 45px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}
.container-1 input#search::-webkit-input-placeholder {
  color: #f7f7fc;
  border-color: black;
}

.container-1 input#search:-moz-placeholder {
  /* Firefox 18- */
  color: #f7f7fc;
  border-color: black;
}

.container-1 input#search::-moz-placeholder {
  /* Firefox 19+ */
  color: #f7f7fc;
  border-color: black;
}

.container-1 input#search:-ms-input-placeholder {
  color: #f7f7fc;
  border-color: black;
}
.container-1 .icon {
  position: absolute;
  top: 50%;
  margin-left: 17px;
  margin-top: 12px;
  z-index: 1;
}
.container-1 input#search:hover,
.container-1 input#search:focus,
.container-1 input#search:active {
  outline: #5f2eea;
  border-color: #5f2eea;
}
/* end search */
/* home*/

.carousel {
  margin-top: 8em;
  margin-bottom: 3.5em;
  width: 100%;
}

.carousel a img {
  width: 100%;
  height: 281px;
  object-fit: cover;
}

.container h3 {
  font-size: 28px;
  margin-bottom: 20px;
}

.text-event {
  margin-left: 15px;
  color: #5f2eea;
  font-size: 16px;
  text-decoration: none;
}

.bi-chevron-right {
  margin-left: 5px;
}

.btn-filter {
  background-color: #fff !important;
  border-radius: 15px;
  width: 70px;
  border: transparent;
}

.card a {
  width: 90%;
  margin: auto;
}

#card-img {
  max-width: 100%;
  height: 240px;
  opacity: 1;
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}

#card-img:hover {
	opacity: .7;
}

#events-card-time {
  color: #C03D3D;
  font-size: 12px;
}

#card-title {
  color: #000;
}

#card-title:hover {
  color: #1cc8ee;
}

/* home article */
.card-article .card img {
  width: 100%;
}

.row .card {
  margin-bottom: 3.5em;
}
.container .card-article .card {
  background-color: transparent;
  border: transparent;
}

.container .card-article {
  margin-bottom: 5em;
}
.card-title {
  display: inline-block;
  margin-top: 0em;
}
.date-article {
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px;
  letter-spacing: 0em;
  text-align: left;
  color: #c03d3d;
  display: inline-block;
}
.content-articles {
  text-decoration: none;
  color: #000;
}
.contect-read {
  text-decoration: none;
  margin-left: 20px;
  margin-top: 0px;
}
/* end home article */

a:hover {
  font-weight: bold;
}

.modal-content {
  border-radius: 3rem;
  border: none;
}

/* page 404 not found */

.body-404 {
  background-color: #fff;
}

.error-404 .text-404,
.not-found {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 15px;
  width: 20%;
}

.error-404 {
  margin-top: 8em;
}

.error-404 .text-404 {
  width: 15%;
}

.error-404 h3 {
  color: #1cc8ee;
  text-align: center;
}

.error-404 button {
  border-radius: 15px;
  background-color: #5f2eea;
  width: 150px;
}
/* end form eror */

/* Sign up */

.form {
  max-width: 500px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding: 30px;
}

.header {
  width: 100%;
  text-align: center;
}

.header h2 {
  padding-top: 100px;
  font-weight: 500;
  font-size: 30px;
  font-family: Roboto;
}

#form-sign {
  padding: 30px 40px;
}

.form-control-sign {
  margin-bottom: 8px;
  padding-bottom: 13px;
  position: relative;
  color: #acb5bd;
}

.form-control-sign label {
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 14px;
  margin-bottom: 15px;
}

.form-control-sign input {
  border: solid 1px #b7b9bb;
  border-radius: 8px;
  height: 100%;
  width: 100%;
  font-size: 15px;
  display: block;
  padding: 12px;
  padding-bottom: 14px;
  padding-left: 24px;
}

::placeholder {
  color: #dde2e5;
}

.form i {
  position: absolute;
  top: 35px;
  right: 22px;
  font-size: 15px;
  visibility: hidden;
}

.form-control-sign.success i.lni-checkmark {
  color: #2ecc71;
  visibility: visible;
}

.form-control-sign.error i.lni-close {
  color: #e74c3c;
  visibility: visible;
}

.form button {
  background: #5f2eea;
  border: 1px white;
  border-radius: 15px;
  width: 100%;
  color: white;
  font-size: 16px;
  padding: 15px;
  text-align: center;
}

.age-agree {
  margin-top: 40px;
  height: 120px;
  width: 100%;
  font-weight: 400;
  font-size: 14px;
  color: #acb5bd;
  text-align: center;
}

time {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 19px;
  color: #c03d3d;
}

.event-head-container {
  padding: 30px;
  padding-top: 160px;
  width: 100%;
}
.event-banner img {
  max-width: 755px;
  width: 100%;
}

.event-head-detail {
  padding-top: 40px;
  width: 100%;
  padding: 25px;
  background: #fff;
}

.event-head-name {
  margin-top: 30px;
}

.event-head-name h1 {
  font-size: 38px;
  font-weight: 500;
}

.event-head-organizer {
  margin-top: 50px;
  color: #b7b9bb;
  margin-bottom: 60px;
}

.event-head-organizer h2 {
  font-size: 21px;
}

.event-price {
  margin-top: 60px;
}

.share-icon {
  margin-top: 37px;
}
/*  event detail*/

.register-event-btn {
  background: #5f2eea;
  border: 1px white;
  border-radius: 15px;
  width: 100%;
  color: white;
  font-size: 16px;
  padding: 15px;
  margin: 10px;
  margin-top: 20px;
  text-align: center;
  text-decoration: none;
}
.register-event-btn:hover {
  background-color: #1cc8ee;
}
.event-description-container {
  padding: 38px;
  margin-bottom: 150px;
  background-color: #fff;
}

.event-description-container h5 {
  padding-bottom: 15px;
  color: #c03d3d;
}

.event-description {
  margin-top: 50px;
  text-align: justify;
  background-color: #fff;
}

.event-location {
  margin-top: 65px;
}

.event-tag {
  margin-top: 60px;
}
.tag-container {
  border: solid 1px #b7b9bb;
  text-align: center;
  height: 35px;
  width: 170px;
  border-radius: 15px;
}
.tag-container p {
  margin: 5px;
}
/* end  event detail*/

/* register event */
.ticket {
  background-color: #fff;
}
.danger {
  font-size: 12px;
  color: #c03d3d;
}

.align-end select {
  max-width: 100px;
}

.agreement {
  margin-top: 150px;
  margin-bottom: 250px;
}

.agreement a {
  color: #5f2eea;
  text-decoration: none;
}

.form-hide {
  visibility: hidden;
}

.form-show {
  visibility: visible;
}

.ticket-button {
  text-align: end;
}

.cart-icon {
  text-align: center;
}

.cart-icon img {
  margin-top: 100px;
  max-width: 100px;
}
/* end regieter event */

/* Order Sucess */
.success {
  background-color: #fff;
}
.thanks {
  margin-top: 100px;
  margin-bottom: 70px;
}

.thanks span {
  font-size: 21px;
  margin-left: 15px;
}

.organizer-logo {
  margin-top: 100px;
  margin-left: 20px;
}

.organizer-info {
  margin-top: 100px;
  margin-left: 20px;
}

/* end order success */

/* article */
.article-head-detail {
  padding-top: 40px;
  width: 100%;
  padding: 25px;
  padding-bottom: 70px;
  background: #fff;
}

.article-image-container {
  padding: 25px;
  max-width: 800px;
}

.article-image-container img {
  width: 100%;
}
/* end article */

/* footer */
#footer {
  background-color: #ffffff;
}
#footer .social-links a {
  font-size: 18px;
  display: inline-block;
  background: #1cc8ee;
  color: #fff;
  line-height: 1;
  padding: 8px 0;
  margin-right: 4px;
  border-radius: 50%;
  text-align: center;
  width: 36px;
  height: 36px;
  transition: 0.3s;
}

#footer .social-links a:hover {
  background: #5f2eea;
  color: #fff;
  text-decoration: none;
}
/* end footer */

/* back to top */

#back-to-top {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: #1cc8ee;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 50%;
}

#back-to-top:hover {
  background-color: #555;
}
/* end back to top */

/* form contact Us  */
#contactUs {
  margin-top: 9.5em;
  margin-bottom: 9.5em;
  line-height: 0pt;
}
.link-contact {
  text-underline-position: none;
  text-decoration: none;
  padding-top: 10px;
}
/* end contact Us  */

/* sidebar */
.sidebar {
  min-height: 816px;
  min-width: 320px;
  border-radius: 15px;
  display: inline-block;

  color: #acb5bd;
  background: #f7f7fc;
  border: 0cm;
}
.sidebar hr {
  margin-left: 0 !important;
  border: 2px solid white;
  height: 2px;
}

.sidebar a {
  text-align: left;
  text-decoration: none;
}
.sidebar i {
  margin-right: 1em;
}
.sign-out a {
  text-decoration: none;
  color: #1cc8ee;
}
.sign-out {
  margin-top: 350px;
  margin-left: 100px;
  color: #5f2eea;
}
/* body user */
.body-user {
  background-color: #fff;
}
.container-users {
  padding: 30px;
  padding-top: 100px;
}
/* form profile account */

.upload-btn-wrapper {
  /* position: relative; */
  overflow: hidden;
  display: inline-block;
  position: absolute;
  top: 35%;
  left: 40%;
  transform: translate(-50%, -50%);
}
.upload-btn-wrapper input[type='file'] {
  font-size: 100px;
  position: absolute;
  top: 33%;
  left: 40%;
  transform: translate(-50%, -50%);
  opacity: 0;
}
.profile {
  margin-left: 10em;
}

.bi-camera {
  color: #ddd8d8;
  position: relative;
}

.image-profile {
  margin-left: 3em;
}
.form-profile {
  margin-left: 5em;
}
.btn-save {
  margin-top: 50px;
  margin-left: 24em;
}
/* history event */
.browse {
  margin-left: 12em;
}
.card-browse {
  margin-left: 12em;
  border: transparent !important;
}
.body-card {
  margin-left: 0;
  padding-left: 0;
}
.dropdwon-btn {
  height: 40px;
  width: 300px;
  margin-left: 0;
  padding-left: 5px;
  background-color: #fff;
  color: #14142b;
  border: 1px solid #acb5bd;
  box-sizing: border-box;
  border-radius: 8px;
}
.item-dropdwon {
  height: 70px;
  width: 300px;
  margin-left: 0;
  padding-left: 5px;
  background-color: #fff;
  color: #14142b;
  border: 1px solid #acb5bd;
  box-sizing: border-box;
  border-radius: 8px;
}
.margin-card {
  margin-left: -100px;
}
.category {
  height: 35px;
  width: 150px;
  padding-top: 10px;
  border-radius: 200px;
  color: #000;
  border: 1px solid #dde2e5;
}

/* card price create event */
.card-price {
  height: 180px;
  width: 750px;
  display: inline-block;
  color: #acb5bd;
  background: #f7f7fc;
  border: none;
  border-radius: 10px;
  margin: 3rem 0 3.5rem 8rem;
}
.card-price .row .col-7 h5 {
  text-transform: uppercase;
  font-weight: 500;
  font-size: 12px;
  color: #000;
}

.card-price .row .col-7 h1 {
  font-weight: 500;
  font-size: 38px;
  color: #c03d3d;
}

.card-price .row .col-4 {
  margin-top: 2.5rem;
}

.card-price .row .col-4 p {
  font-size: 16px;
}

/* user profile create event */
.row .col-sm-10 form {
  margin: 0 0 0 6rem;
}

form label {
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 500;
  margin-bottom: 8px;
}

form .btn-primary {
  color: #fff;
  background-color: #5f2eea;
  border: none;
  border-radius: 15px;
  width: 150px;
}
form .btn-primary :hover {
  background-color: #1cc8ee;
}

/* Select create event */
form .mb-3 .col .form-select,
form .mb-3 input.form-control,
form .mb-3 .form-select {
  width: 70%;
  border: 1px solid #acb5bd;
  border-radius: 8px;
}

.custom-select .form-select option {
  margin-top: 10px;
}

/* text-area create event */
form .text-area .mb-3 textarea {
  width: 100%;
  height: 100%;
  border: 1px solid #acb5bd;
  border-radius: 8px;
}

/* image upload poster */
.img-upload {
  width: 100%;
  height: 128px;
  background-color: #f7f7fc;
  border-radius: 8px;
}
.upload-btn-poster {
  position: relative;
  overflow: hidden;
  display: inline-block;
}
.upload-btn-poster input[type='file'] {
  position: absolute;
  top: 33%;
  left: 40%;
  transform: translate(-50%, -50%);
  opacity: 0;
}

/* checkout */
.payment {
  margin-left: 70px;
}
.clipboard {
  cursor: pointer;
  display: inline-block;
}
.btn-clipboard {
  margin-left: 2em;
}
.img-barcode {
  width: 20% !important;
}
.information {
  margin-top: 50px;
  margin-left: 200px;
}
.slide-in-fwd-center {
  -webkit-animation: slide-in-fwd-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) 5 both;
  animation: slide-in-fwd-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) 5 both;
}
@-webkit-keyframes slide-in-fwd-center {
  0% {
    -webkit-transform: translateZ(-1400px);
    transform: translateZ(-1400px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    opacity: 1;
  }
}
@keyframes slide-in-fwd-center {
  0% {
    -webkit-transform: translateZ(-1400px);
    transform: translateZ(-1400px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    opacity: 1;
  }
}

.button-back-to-home {
  width: 150px;
  height: 40px;
  color: #fff;
  font-size: 15px;
  text-align: center;
  background: #5f2eea;
  border: 0cm;
  border-radius: 15px;
  margin-bottom: 70px;
  margin-left: 170px;
}

/* end checkout */

/* admin */

/* sidebar admin */
.container-admin {
  margin: 100px 0;
}

.logo-center {
  text-align: center;
}

.logo-center img {
  margin: 50px;
  max-width: 73px;
  width: 100%;
}

.sidebar-container {
  background-color: #f7f7fc;
  border-radius: 15px;
  margin-top: 100px;
  margin-bottom: 100px;
}

.sidebar-links ul {
  display: block;
  margin: 10px;
  border: 0;
}

.sidebar-links li {
  margin-bottom: 15px;
}

.sidebar-links li a {
  margin-left: 10px;
  color: #acb5bd;
}

.sidebar-links img {
  max-width: 18px;
  margin-right: 20px;
  width: 100%;
}

#highlight {
  background-color: #1cc8ee;
  color: white;
  border-radius: 4px;
}

.signout {
  color: #5f2eea;
}

.admin-login {
  border: 2px solid blueviolet;
  border-radius: 12px;
}

/* Upcoming events */
.container-upcoming {
  margin: 100px 0;
}
.container-events {
  margin: 100px 0;
}

.container-events li {
  display: block;
  margin-bottom: 10px;
  padding: 17px;
  border: solid 1px #acb5bd;
  max-width: 350px;
  width: 100%;
  border-radius: 8px;
}

.container .btn-group .btn-light {
  border: 1px solid #acb5bd;
}
/* Admin-articles */
.container-article {
  margin: 100px 0;
}

.btn-add-article {
  height: 30px;
  width: 145px;
  border: 1px solid #dde2e5;
  box-sizing: border-box;
  border-radius: 200px;
  background: #ffffff;
  color: rgba(95, 46, 234, 1);
  text-decoration: none;
  font-size: 12px;
  text-align: center;
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 14px;
  padding-top: 10px;
}

.articles {
  display: inline-block;
}
.time {
  color: #c03d3d;
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px;
  letter-spacing: 0em;
  text-align: left;
  margin-left: 20px;
}

.edit-article {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 19px;
  text-decoration: none;
  color: #5f2eea;
}
.label-articles {
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 14px;
  letter-spacing: 0.08em;
  text-align: left;
  color: #acb5bd;
  opacity: 0.6;
  margin-bottom: 1em;
}
.input-articles {
  color: #000;
}
.input-text-articel {
  color: #000;
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: 19px;
  letter-spacing: 0em;
  text-align: left;
}
.btn-add-image {
  height: 40px;
  width: 172px;
  border-radius: 200px;
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 14px;
  letter-spacing: 0.08em;
  text-align: center;
  border: 1px solid #dde2e5;
  box-sizing: border-box;
  color: #5f2eea;
}
.upload-btn-image {
  /* position: relative; */
  overflow: hidden;
  margin-top: 30px;
  margin-left: 110px;
  transform: translate(-50%, -50%);
}
.upload-btn-image input[type='file'] {
  font-size: 100px;
  margin-top: 30px;
  margin-left: 110px;
  transform: translate(-50%, -50%);
  opacity: 0;
}
.bi-paperclip {
  color: #5f2eea;
}
[type='file'] {
  height: 0;
  overflow: hidden;
  width: 0;
}

[type='file'] + label {
  background: #f15d22;
  border: 1px solid #dde2e5;
  box-sizing: border-box;
  border-radius: 200px;
  border-radius: 20px;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-weight: 500;
  font-size: 12px;
  margin-bottom: 1rem;
  outline: none;
  padding: 1rem 50px;
  position: relative;
  transition: all 0.3s;
  vertical-align: middle;
}
[type='file'] + label:hover {
  background-color: #1cc8ee;
}
[type='file'] + label.btn-photo {
  background-color: #ffffff;

  transition: none;
}
[type='file'] + label.btn-photo:hover {
  box-shadow: 0 4px #1cc8ee;
  top: 2px;
}
.btn-publish {
  height: 48px;
  width: 182px;
  border-radius: 15px;
  background: #5f2eea;
  color: #dde2e5;
  border: none;
}
/* body admin */
body.admin {
  background-color: #fff;
}

/* admin categories */

.row .content-justify-end .float-end {
  border-radius: 20px;
  width: 170px;
  margin: 4rem 0 2rem 0;
  background-color: #5f2eea;
  color: #fff;
  border: none;
}

.row .content-justify-end .float-end:hover {
  background-color: #1cc8ee;
  color: FFF;
  border: none;
}

p.category {
  text-transform: uppercase;
  font-weight: 500;
  color: #acb5bd;
  font-size: 12px;
}

#disabledInput {
  background-color: #fff;
  height: 50px;
}

#disabledInput::placeholder {
  color: #000;
}

.col-md-4 .input-group .btn-pencil,
.btn-trash {
  position: relative;
  z-index: 2;
  background-color: #fff;
  border: none;
  color: #000;
  height: 50px;
  width: 50px;
}

.col-md-4 .input-group .btn-trash {
  color: #ed2e7e;
}

.input-group .btn:hover {
  color: #fff;
  background-color: #1cc8ee;
}

/* modal categories */
.edit-categories {
  width: 80%;
  margin: auto;
}

.btn-save-category {
  background-color: #5f2eea;
  color: #fff;
  width: 100%;
  border: none;
  border-radius: 15px;
}

/* modal delete category */
.btn-toolbar .btn {
  width: 80px;
  color: #fff;
  background-color: #5f2eea;
  border: none;
  border-radius: 15px;
  margin: 0 10px 30px 10px;
}

/* trash animation */
.pulsate-fwd {
  animation: pulsate-fwd 0.5s ease-in-out infinite both;
}

@keyframes pulsate-fwd {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

/* end admin categories */
/* admin payment */
.content-payment {
  margin: 6.5rem 0 3rem 3rem;
}

.content-payment .dropdown button.btn-light {
  border: 1px solid #acb5bd;
  color: #000;
  background-color: #fff;
  margin-bottom: 3rem;
}
#table-payment {
  border-collapse: collapse;
  width: 100%;
}

#table-payment td,
#table-payment th {
  border: 1px solid #ddd;
  padding: 8px;
}

#table-payment tr:nth-child(even) {
  background-color: #f2f2f2;
}

#table-payment tr:hover {
  background-color: #ddd;
}

#table-payment th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #acb5bd;
  color: white;
  text-transform: uppercase;
}

#btn-action {
  color: #fff;
  background-color: #5f2eea;
  border-radius: 15px;
  width: 100%;
}

/* end admin payment */
